Framework not found GoogleMaps sdk in iOS

I want to use google map to existing(not a new one) iPhone project.Now i am using Google map ios sdk and i successfully added google map framework to my project.But i got error like this

ld: framework not found GoogleMaps
clang: error: linker command failed with exit code 1 (use -v to see invocation)

How to solve this issue.I am using xcode4.5 and google map iOS sdk version is 1.5. When i am creating new project with google map iOS sdk then no error getting for me.Error only for existing iOS Project.Please help me.

  • Receive accelerometer updates in background using CoreMotion framework
  • How can I migrate the data from the iCloud store file to a new store file in local storage?
  • Customizing the iOS permission dialog for push notifications
  • Firebase in Swift nested query not working properly
  • How do I enable Local Storage in my WebKit-based application?
  • Calling didReceiveRemoteNotification when app is launching for the first time
  • 6 Solutions Collect From Internet About “Framework not found GoogleMaps sdk in iOS”

    I solved my issue

    You need to do this

    1. Click on your project (targets)
    2. Click on Build Settings
    3. Under Framework search paths (set your framework path)

    Following information for getting framework search paths

    1. Right click on your framework folder (for ex: GoogleMaps.framework)
    2. select Get info
    3. copy the path from General->where and paste this path in your framework search path (path should contain in single line)

    Good luck

    I encountered a scenario in which I had to import a project that was using Google Maps and noticed the same problem – module: “Google Maps” not found.
    To solve this problem it was necessary to delete Podfile.lock and Podfile folder and re-install the pods again. Good luck !

    Clean your project. The shortcut is command + shift + k. This will clear information that xcode has stored that might imply that the sdk isn’t included.

    Also press the project icon at the top of the hierarchy of files, press the target that is your project, press build phases, open link with binary libraries, and make sure that the google maps sdk is in there. If it is not, press + and add it in.

    Follow the steps :

    • Download GoogleMaps-iOS-1.1.0.zip from their site
    • Unzip the file. You now have a GoogleMaps-iOS-1.1.0 folder
    • In that folder you have a GoogleMaps.framework folder.
    • Copy or move the GoogleMaps.framework folder to inside your project folder (in Finder).
    • Drag the GoogleMaps.framework folder onto your Frameworks group in Xcode.
    • In the options sheet, uncheck “Copy items into destination group’s folder”. Make sure your target is checked in “Add to targets”. Click OK.
    • (Note that you can also do this the other way, by not copying it into your project folder and checking “Copy items into destination group’s folder”. Xcode will copy the folder itself.)

    • Import using #import "GoogleMaps/GoogleMaps.h". The angle bracket usually work too, but in this case it should use quotes.

    From : <GoogleMaps/GoogleMaps.h> file not found Google Maps SDK for iOS

    I’ve been struggling with this issue for hours; I’m using CocoaPods, Swift and Xcode 6.1.1. I followed all the steps for including GoogleMaps in my project carefully, tried many different things like removing symbolic links in the downloaded package or manually linking the binaries in build phases or trying #include "GoogleMaps.h", #include "GoogleMaps/GoogleMaps.h" and "#include <GoogleMaps/GoogleMaps.h> in my bridge file, none of that worked… Finally used CocoaPods instead of including the framework myself and it worked! Hope it helps someone out there:

    In the Podfile:

    pod 'Google-Maps-iOS-SDK', '~> 1.9.2'

    And in your Bridge file:

    #import "GoogleMaps.h"

    Delete derived data and delete Podfile.lock file and then run pod install.